List providers
Retrieves the list of cloud storage providers enabled for the account and the configuration information for the user.
Authentication
Authorizationstring
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
accountId
The external account number (int) or account id GUID.
userId
The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.
Query parameters
redirectUrl
The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl.
The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains.
Response
Successful response.
storageProviders
An Array containing the storage providers associated with the user.
Errors
400
Bad Request Error